# Class WebdavServlet.ProppatchOperation

java.lang.Object
org.apache.catalina.servlets.WebdavServlet.ProppatchOperation

Enclosing class:
  `WebdavServlet`

public static class WebdavServlet.ProppatchOperation extends Object
Represents a PROPPATCH sub operation to be performed.

## Constructor Summary

Constructors
Constructor
Description
`ProppatchOperation(WebdavServlet.PropertyUpdateType updateType, Node propertyNode)`
PROPPATCH operation constructor.

## Method Summary

Modifier and Type
Method
Description
`Node`
`getPropertyNode()`
Returns the XML node that contains the property name (and value if SET).
`boolean`
`getProtectedProperty()`
Returns whether the property is protected.
`int`
`getStatusCode()`
Returns the status code to set as a result of the operation.
`WebdavServlet.PropertyUpdateType`
`getUpdateType()`
Returns the update type for this operation.
`void`
`setStatusCode(int statusCode)`
Sets the status code as a result of the operation.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProppatchOperation

public ProppatchOperation(WebdavServlet.PropertyUpdateType updateType, Node propertyNode)
PROPPATCH operation constructor.

Parameters:
  `updateType` - the update type, either SET or REMOVE
  `propertyNode` - the XML node that contains the property name (and value if SET)

## Method Details

### getUpdateType

public WebdavServlet.PropertyUpdateType getUpdateType()
Returns the update type for this operation.

Returns:
  the updateType

### getPropertyNode

public Node getPropertyNode()
Returns the XML node that contains the property name (and value if SET).

Returns:
  the propertyNode

### getStatusCode

public int getStatusCode()
Returns the status code to set as a result of the operation.

Returns:
  the statusCode

### setStatusCode

public void setStatusCode(int statusCode)
Sets the status code as a result of the operation.

Parameters:
  `statusCode` - the statusCode to set

### getProtectedProperty

public boolean getProtectedProperty()
Returns whether the property is protected.

Returns:
  `true` if the property is protected